Skip to main content

Chile Transactions

Pay-In Transactions

The following example simulates a pay-in transaction where your customer is charged in CLP, sends the funds to an Attrus bank account in Chile, and the amount is later converted to USD and wired to a foreign USD bank account.

This step is optional — you can simply share the bank details of the Attrus bank account in Chile that we opened for your exclusive use with your customers. Once they complete any bank transfer, we'll automatically notify you with a transaction ID generated by our API. Note: The customer must be registered in advance so we can properly identify the incoming funds.

If you prefer to create the transaction before the customer sends the funds, you can do so by making this request. The payload format is the same for payments in Mexico, Colombia, and other countries using local currencies, with the exception of the currency and from_bank_account_id fields — these must match the respective country and currency.

Important: For transactions in Chile, the value field must not contain decimal places. Example: use 15000 instead of 15000.00.

To correctly set the from_bank_account_id, go to the 'Bank Accounts' page in the portal and look under Attrus cash_in accounts. Select the account that matches the currency you intend to use. This account will be used for all pay-in transactions in this field.

curl -X POST "https://api.facilitapay.com/api/v1/transactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"transaction": {
"currency": "CLP",
"exchange_currency": "USD",
"value": "15000",
"from_bank_account_id": "your CLP cash-in account id",
"to_bank_account_id": "your USD bank account id",
"subject_id": "your customer id"
}
}'
{
"data": {
"value": "15000",
"to_bank_account": {
"routing_number": null,
"pix_info": null,
"owner_name": "Company Ltd.",
"owner_document_type": null,
"owner_document_number": "doc",
"owner_company": {
"social_name": "Company Test",
"id": "d6db1129-0ed3-4da7-9beb-d8c6326465f2",
"document_type": "tax_id",
"document_number": "21958642819"
},
"nickname": null,
"intermediary_bank_account": null,
"id": "766eadfc-f020-4d2a-bed3-c9a95623ed24",
"iban": null,
"currency": "USD",
"branch_number": null,
"branch_country": null,
"bank": {
"swift": "swift test",
"name": "International Bank Test",
"ispb": null,
"id": "dab1d4c3-a5a7-4ffa-bab9-b1cc155081c0",
"country": null,
"code": null
},
"account_type": "conta-corrente",
"account_number": "12356",
"aba": null
},
"subject_is_receiver": false,
"subject": {
"updated_at": "2025-07-09T17:19:48.174209",
"status": "approved",
"social_name": "Francisco Muñoz",
"required_clearance_level": 1,
"references": [],
"phone_number": "99812-1212",
"phone_country_code": "56",
"phone_area_code": "2",
"net_monthly_average_income": "4000.00",
"inserted_at": "2021-03-11T20:13:17.729215",
"id": "deb1a9eb-39d0-4d3d-ab30-bee5406d8e21",
"fiscal_country": "CHL",
"email": "[email protected]",
"document_type": "rut",
"document_number": "112934596",
"clearance_level": 2,
"birth_date": "2015-04-01",
"address_street": "Av. Libertador Bernardo O'Higgins",
"address_state": "RM",
"address_postal_code": "8320000",
"address_number": "1234",
"address_neighborhood": null,
"address_country": "CHL",
"address_complement": "Apt. 44 A",
"address_city": "Santiago"
},
"status": "wired",
"source_name": "Francisco Muñoz",
"source_document_type": "rut",
"source_document_number": "112934596",
"subject_id": "deb1a9eb-39d0-4d3d-ab30-bee5406d8e21",
"inserted_at": "2021-04-29T21:51:51.648253",
"id": "00b8a279-38c0-4764-9c41-87cf0a8a529f",
"from_credit_card": null,
"from_bank_account": {
"routing_number": null,
"owner_name": "Attrus Chile SpA",
"owner_document_type": "cnpj",
"owner_document_number": "10789035000105",
"nickname": null,
"intermediary_bank_account_id": null,
"id": "97313a02-bbbb-4341-bb2c-3602d185d926",
"iban": null,
"currency": "CLP",
"branch_number": "0001",
"branch_country": "CHL",
"bank": {
"swift": "PLURBRRJ",
"name": "Facilita Bank S.A.",
"ispb": "10789035",
"id": "292c1958-4926-4c7d-8550-6ce9c0952552",
"country": "CHL"
},
"account_type": "conta-corrente",
"account_number": "3467-3",
"aba": null
},
"for_exchange": true,
"exchanged_value": "15.01",
"exchange_under_request": false,
"exchange_currency": "USD",
"estimated_value_until_exchange": false,
"currency": "CLP",
"cleared": true,
"bank_transaction": {
"wire_id": "6fe36590-6c1a-4e86-9998-edcc4b54c94b",
"value": "15000",
"spei_reference": null,
"spei_concepto_de_pago": null,
"source_type": "WIRE",
"source_name": "Francisco Muñoz",
"source_id": null,
"source_document_type": "rut",
"source_document_number": "112934596",
"source_description": "CREDITO POR TED",
"source_branch": "1142",
"source_bank_ispb": null,
"source_bank": "033",
"source_account": "130013844",
"movement_date": "2025-07-09",
"iof_value": "3.80",
"inserted_at": "2025-07-09T17:50:10.137550",
"id": "6c763e54-d819-47b8-9d2b-a06380c1e4af",
"exchanged_value": "15.01",
"exchange_rate_spot": "5.906",
"exchange_rate": "5.98773",
"exchange_id": "7fc49fb2-40b0-4558-bb1b-89829fde0241",
"exchange_currency": "USD",
"exchange_approved": true,
"currency": "CLP"
}
}
}

HTTP Request

POST /transactions

Body Parameters

ParameterDescriptionTypeRequired
transactionTransaction data containing at least the following required values:objecttrue
currencyCurrency of the amount to be sent to Attrus or deducted from an internal bank account balance (ISO 4217 format)stringtrue
valueAmount to be sent to Attrus (PIX / TED / WIRE) or deducted from an internal bank account balancestringtrue
exchange_currencyThe "destination" currency also in (ISO 4217 format). It must match the currency of the bank account set in the to_bank_account_id fieldstringtrue
from_bank_account_idIn this example is the ID of a Bank Account from Attrus in Chile. This is NOT your customer's accountstringtrue
to_bank_account_idIn this example is the ID of a foreign bank account of the partner (for this case, a USD bank account)stringtrue
subject_idID of your customer that will make the paymentstringtrue

Common Mistakes

Account currency does not match transaction currency

Solution: Provide accounts with matching currencies as in the request.

Payout (CLP)

After registering your customer bank account with us, you will be able to pay them locally using the following endpoint. If you registered only the PIX key, we will be using it, if you registered the Bank details and PIX Key we will prioritize to pay via TED.

The payout transactions are initiated within your foreign currency cash-out account.

curl -X POST "https://api.facilitapay.com/api/v1/transactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9...." \
-d '{
"transaction": {
"currency": "USD",
"exchange_currency": "CLP",
"value": "500.00",
"from_bank_account_id": "your USD/EUR cash-out internal account id",
"to_bank_account_id": "the id of your customer bank account",
"subject_id": "your customer id"
}
}'
200OK
{
"data": {
"value": "500.00",
"to_bank_account": {
"routing_number": null,
"pix_info": null,
"owner_name": "Francisco Muñoz",
"owner_document_type": "rut",
"owner_document_number": "112934596",
"nickname": null,
"intermediary_bank_account_id": null,
"id": "c41b7cf3-455c-46c1-bb6d-7fd0e1b83799",
"iban": null,
"currency": "CLP",
"branch_number": null,
"branch_country": "CHL",
"bank": {
"swift": "BCBPIXCNPJ000",
"name": "Banco de Chile",
"ispb": null,
"id": "aa3bfacc-dd6b-4a68-b37a-7672b43b1c52",
"country": "CHL",
"code": null
},
"account_type": "conta-corrente",
"account_number": null,
"aba": null
},
"subject_is_receiver": true,
"subject_id": "01e0725b-b4f5-46b1-811a-a3cbcb314d10",
"status": "identified",
"source_name": "Francisco Muñoz",
"source_document_type": "rut",
"source_document_number": "112934596",
"meta": null,
"inserted_at": "2025-07-10T14:50:16.805590",
"id": "49330924-1284-418f-9d6f-3a22c13411a3",
"from_credit_card_id": null,
"from_bank_account": {
"routing_number": null,
"pix_info": null,
"owner_name": "Biriweb Serviços de Internet Ltd",
"owner_document_type": null,
"owner_document_number": "21958642819",
"nickname": null,
"internal": true,
"intermediary_bank_account_id": null,
"id": "6b1d3acf-42b7-4f5a-8d9b-1da2766e040b",
"iban": null,
"flow_type": "cash_out",
"currency": "USD",
"branch_number": null,
"branch_country": null,
"bank": {
"swift": null,
"name": "Internal",
"ispb": null,
"id": "6facab8d-573e-44d0-a4bd-ce2600368263",
"country": "BRA",
"code": "999"
},
"account_type": "conta-corrente",
"account_number": null,
"aba": null
},
"for_exchange": true,
"exchange_under_request": false,
"exchange_currency": "CLP",
"estimated_value_until_exchange": false,
"currency": "USD",
"cleared": true,
"bank_transaction": {
"wire_id": null,
"value": "500.0",
"spei_reference": null,
"spei_concepto_de_pago": null,
"source_type": "TED-PRE",
"source_name": "Francisco Muñoz",
"source_id": "49330924-1284-418f-9d6f-3a22c13411a3",
"source_document_type": "rut",
"source_document_number": "112934596",
"source_description": "CREDITO POR TED ANTECIPADO",
"source_branch": null,
"source_bank_ispb": null,
"source_bank": null,
"source_account": null,
"movement_date": "2025-07-10",
"iof_value": null,
"inserted_at": "2025-07-10T14:50:16.861725",
"id": "54045ef6-95ae-4fff-96f4-f82f1442548b",
"exchanged_value": null,
"exchange_rate_spot": null,
"exchange_rate": null,
"exchange_id": null,
"exchange_currency": "CLP",
"exchange_approved": false,
"currency": "USD"
}
}
}

HTTP Request

POST /transactions

Body Parameters

ParameterDescriptionTypeRequired
transactionTransaction data containing at least the following required values:objecttrue
transaction.currencyCurrency of the amount to be sent to Attrus or deducted from an internal bank account balance (ISO 4217 format)stringtrue
transaction.valueAmount to be sent to Attrus (PIX / TED / WIRE) or deducted from an internal bank account balancestringtrue
transaction.exchange_currencyThe "destination" currency also in (ISO 4217 format). It must match the currency of the bank account set in the to_bank_account_id fieldstringtrue
transaction.from_bank_account_idIn this example is the ID of a foreign currency cash-out internal accountstringtrue
transaction.to_bank_account_idThe ID of your customer bank accountstringtrue
transaction.subject_idID of your customer that will make the paymentstringtrue